

public class MyArrayList<T> {

    T[] list;

    public MyArrayList(int size) {
        this.list = (T[])new Object[size];
    }

    public MyArrayList() {
        this.list = (T[])new Object[0];
    }

    public void add(T dat){
        T[] newArr = (T[]) new Object[list.length + 1];
        for (int i = 0; i < list.length; i++) {
                newArr[i] = list[i];
        }
        newArr[list.length] = dat;

        list = newArr;
    }

    public void add(int i, T dat){
        T[] newArr = (T[]) new Object[list.length + 1];
        int counter = 0;
        for (int j = 0; j < list.length; j++) {
            newArr[j] = list[j];
        }
        newArr[list.length] = dat;

        list = newArr;
    }

    public void remove(T dat){
        T[] newArr = (T[]) new Object[list.length - 1];
        for (int i = 0; i < list.length-1; i++) {
            if (!list[i].equals(dat)){
                newArr[i] = list[i];
            }
        }
        list = newArr;

    }

    public int size(){
        return list.length;
    }

    public T get(int i){
        return list[i];
    }

    public T set(int i, T dat){
        return list[i] = dat;
    }

    public void clear(){
        T[] newArr = (T[]) new Object[0];
        list = newArr;
    }


    public boolean isEmpty(){
        if (list.length == 0){
            return true;
        } else
            return false;
    }

    public boolean contains(T dat){
        for (int i = 0; i < list.length; i++) {
            if (list[i].equals(dat)){
                return true;
            }
        }
        return false;
    }

}
