public class MySet<T> {

    T[] list;
    MyArrayList<T> myset = new MyArrayList<>();


    public MySet(MyArrayList<T> myset) {
        this.myset = myset;
    }

    public MySet(int size) {
        this.list = (T[])new Object[size];
    }

    public MySet() {
        this.list = (T[])new Object[0];
    }

    public void add(T dat){
        if (!myset.contains(dat)) {
            myset.add(dat);
        }

    }

    public void remove(T dat){
        myset.remove(dat);

    }

    public void set(int i, T dat){
         myset.set(i, dat);
    }

    public T get(int i){
       return myset.get(i);
    }

    public int size(){
        return myset.size();

    }

    public void clear(){
        myset.clear();

    }

    public boolean isEmpty(){
       return myset.isEmpty();

    }

    public boolean contains(T dat){
        return myset.contains(dat);
    }
}
